MINOVAES - PRODUCT - Feature #1747

List Get Data "My Staff" Bl Dashboard - Match Up
10/24/2022 03:28 PM - Fiona Avangeline Jonathan

Status: Developing Start date: 10/24/2022
Priority: Urgent Due date:

Assignee: shofwan shiddiq % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

Dear Mang Wanto,

Berikut list table dan field untuk get data bagian Match Up tab Talent.

Match Up
Competency R... Pr... @ Gap Suggested Training Graphic
Communication 5 2 3 MLP
Presentation B 4 0 Mo Training needed
Programming 4 3 0 Mo Training needed
Critical Thinking 3 1 0 Mo Training needed

Competency

1. Cek Job ID dari EmployeelD yang bersangkutan di PHRPAQ002.

2. Ke PHROMO0008 dan search Job ID dengan Object Class J yang didapat di no 1.

3. Get Data Qualification ID dengan QualType 0003

4. Ke PHROMO0001 untuk get ObjectDescription dari ObjectClas Q dengan ID yang didapat di no 3.

Requirement - Di PHROMO0008 untuk Qualification yang didapatkan, cek Proficiency.

Profile - Di PHRPAO0045 untuk Qualification yang didapatkan, cek Proficiency.

Gap - Mengurangi nilai yang didapatkan di Profile dan Requirement (Profile-Requirement)

Suggested Training - Terisi hanya jika Gap nya mines (-). Jika Gap tidak mines maka kolom Suggested Training terisi dengan "No
Training Needed".

1. Di PHROMO0045, cari QualificationID yang memiliki gap mines di kolom RelationshipObjectID.

2. Baca ObjectID untuk RelationshipObjectID tersebut.

3. Cari description dari Object ID tersebut dengan Object Class DT di PHROMO0001.

Graphic - Profile dan Requirement dibuat dalam bentuk grafik.
Terima kasih.

History

#1 - 10/24/2022 03:28 PM - Fiona Avangeline Jonathan
- File clipboard-202210241509-d2qpz.png added

#2 - 10/24/2022 03:28 PM - Fiona Avangeline Jonathan

- Status changed from New to Assigned

#3 - 12/20/2022 09:33 AM - Saswanto Tampan

- Assignee changed from Saswanto Tampan to shofwan shiddiq

#4 - 02/01/2023 01:57 PM - shofwan shiddiq
- Status changed from Assigned to Developing

- Assignee changed from shofwan shiddiq to Fiona Avangeline Jonathan
Dear Fiona, untuk table PHRPA0002 belum ada Job ID nya. tolong di lengkapi dulu, supaya data nya bisa keliatan..

#5 - 02/02/2023 10:27 AM - Fiona Avangeline Jonathan
- File clipboard-202302021027-p6lgqg.png added

Sudah ditambahkan ya shof job nya

StartDate EndDate EmployeelD MovementType MovementRea.. CompanylD Employeefrea EmployeeOffice EmployeeStatus EmployeeType EmployeeSubT.. PayrollGroup Organization Position Job

20200101 20220131 10000148 15 09 1000 0001 0002 01 04 10 0001
20220201 99991231 10000148 4 o7 1000 0001 0002 01 04 10 0001

#6 - 02/02/2023 10:27 AM - Fiona Avangeline Jonathan

- Assignee changed from Fiona Avangeline Jonathan to shofwan shiddiq
